Subject: Re: bug#16907: 24.3.50; [ruby-mode] %w/W literals have incorrect indentation

From: Bozhidar Batsov <[email-masked]>
Date: Sat, 1 Mar 2014 16:00:52 +0200

On Saturday, March 1, 2014 at 3:57 PM, Dmitry Gutov wrote:
> (Please keep it in Cc).

I know. Sorry about that. 
> 
> On 01.03.2014 13:00, Bozhidar Batsov wrote:
> > > 2. Tokenize the elements inside the above literals without regard to
> > > characters used in them. `ruby-smie--backward-token' and its counterpart
> > > would have to be able to easily know when it's inside such literal.
> > > 
> > > Alternatively, still propertize them as "general strings", but replace
> > > `smie-indent-inside-string' in `smie-indent-functions' with a
> > > specialized version that would look at what the string begins with.
> > > 
> > 
> > Option 1 seems better/cleaner to me,
> > 
> 
> 
> Option 1 is everything before "Alternatively". I'm not sure how to 
> implement the item 2 in it.
> 
> 

Oops. I should have read your comments more carefully.